body {
  overflow-x: hidden;
}

#page1 {
  height: 88vh;
  width: 100vw;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
  background-image: url("/home-assets/Thenali.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
}

.container {
  padding: 20px 40px;
  border-radius: 10px;
  color: #333;
  position: relative;
  z-index: 2;
  max-width: 400px;
  left: 300px;
}

.container span {
  display: block;
  font-size: 22px;
}

#head-1 {
  color: #ff3b5f;
}

#head-discount {
  font-size: 42px;
  margin-top: 10px;
  letter-spacing: 3px;
  line-height: 1.2;
}

#shop-btn {
  margin-top: 20px;
  background-color: #ff3b5f;
  color: white;
  padding: 10px 20px;
  font-size: 14px;
  border: none;
  display: inline-block;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
  border-radius: 7px;
}

#shop-btn:hover {
  transform: scale(1.1);
  box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.3);
}

.item-bg {
  position: absolute;
  width: 500px;
  height: auto;
  right: 10%;
  top: 10%;
  z-index: 1;
  object-fit: contain;
}

.cpu-image-slideshow {
  position: absolute;
  width: 410px;
  height: auto;
  right: 12%;
  top: 20%;
  z-index: 2;
  transform: translate(0, -10px);
  display: none;
  animation: fadeIn 0.5s ease-in-out;
}

.cpu-image-slideshow:first-child {
  display: block;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.image-container {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.image-container img {
  max-width: 500px;
  height: auto;
  left: 390px;
}

@media (max-width: 768px) {
  .image-container img {
    width: 157px;
    top: 100px;
    left: 431px;
  }

  .cpu-image {
    width: 60%;
    right: 10%;
    top: 30%;
  }

  .image-container {
    position: relative;
    flex: 1;
    text-align: center;
    background-color: #f9f9f9;
    bottom: 180px;
    right: 252px;
  }

  .container {
    text-align: center;
    left: auto;
    right: auto;
    max-width: 90%;
  }

  #shop-btn {
    font-size: 12px;
    padding: 8px 16px;
  }
}

.laptop-image {
  max-width: 400px;
  border-radius: 50%;
}

.itel {
  max-width: 210px;
}

.image-container {
  position: relative;
  flex: 1;
  text-align: center;
  background-color: #f9f9f9;
  bottom: 180px;
}

.laptop-image {
  position: absolute;
  z-index: 2;
  width: 30%;
  height: auto;
  margin-bottom: -30px;
}

.top-categories {
  text-align: center;
  padding: 40px 0;
}

#top-category {
  font-size: 28px;
  font-weight: 2px bold;
  display: block;
  margin-bottom: 20px;
  color: #2d2e69;
}

.top-categories {
  display: center;
  top: 20px;
  justify-content: space-evenly;
  gap: 20px;
  flex-wrap: nowrap;
  margin-top: 20px;
}

.category-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 200px;
  margin: 20px 40px;
}

#item-div {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  padding: 20px 0;
}

.category {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: rgb(244, 244, 244);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
}

.category img {
  width: 120px;
  height: 120px;
}

.category-container p {
  margin-top: 20px;
  font-size: 16px;
}

.one p {
  margin-top: none;
}

.category:hover {
  transform: scale(1.05);
  box-shadow: 0 0 15px violet;
}

#latest-products {
  width: 100%;
  max-width: 1150px;
  margin: 20px auto;
  padding: 20px;
  text-align: center;
}

#latest-products h2 {
  font-size: 2em;
  margin-bottom: 20px;
  color: #2d2e69;
}

.tabs {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}

.tab1s {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}

.tab {
  padding: 10px 20px;
  margin: 0 10px;
  cursor: pointer;
  font-weight: bold;
  color: #888;
}

.tab1 {
  padding: 10px 20px;
  margin: 0 10px;
  cursor: pointer;
  font-weight: bold;
  color: #888;
}

.products-container {
  position: relative;
  padding: 0 10vw;
  display: none;
  overflow-x: auto;
  scroll-behavior: smooth;
}

.product-card {
  flex: 0 0 auto;
  width: 278px;
  height: 400px;
  margin-right: 73px;
  border-radius: 10px;
}

.product-card img {
  width: 100%;
  height: auto;
  margin-bottom: 10px;
}

.product-card .product-name {
  font-size: 16px;
  margin-bottom: 10px;
  color: #333;
  font-weight: bold;
}

.product-card .product-price {
  font-size: 1.2em;
  color: #333;
  margin-top: 18px;
}

.product-card .old-price {
  color: #e63946;
  text-decoration: line-through;
  font-size: 0.9em;
  margin-left: 10px;
}

.product-card:hover {
  transform: scale(1.05);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

.action-icons {
  position: absolute;
  left: 10px;
  bottom: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  opacity: 0;
  transition: opacity 0.3s ease;
  width: 30px;
  height: 28px;
  cursor: pointer;
}

.product-card:hover .action-icons {
  opacity: 1;
}

.icon {
  background-color: #fff;
  border-radius: 50%;
  padding: 6px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  font-size: 0.8em;
}

.icon:hover {
  background-color: #eec3c6;
  color: #000000;
}

.what-we-offer {
  text-align: center;
  padding: 50px 20px;
  background-color: #f8f9fa;
}

.what-we-offer h2 {
  font-size: 2em;
  margin-bottom: 40px;
  font-weight: 500;
  color: #0d0e43;
}

.offer-container {
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  gap: 20px;
}

.offer-item {
  flex: 1;
  width: 180px;
  padding: 20px;
  background-color: white;
  height: 150px;
}

.offer-item-1 {
  flex: 1;
  width: 180px;
  padding: 20px;
  background-color: white;
  height: 150px;
}

.offer-item img {
  width: 38px;
}

.offer-item-1 img {
  width: 100px;
}

.offer-item-1 h3 {
  font-size: 18px;
  margin-bottom: 15px;
}

.offer-item-1 p {
  font-size: 14px;
  color: #6c757d;
}

.offer-item h3 {
  font-size: 18px;
  margin-bottom: 15px;
}

.offer-item p {
  font-size: 14px;
  color: #6c757d;
}

#page2 {
  margin-top: 5%;
  height: 62vh;
  width: 100vw;
  background-color: #f2f0ff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.product-container {
  position: relative;
  padding: 0 5vw;
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  scrollbar-width: none;
}

.product-image {
  margin-left: 8%;
  max-width: 30%;
  height: auto;
  border-radius: 10px;
}

.product-details {
  margin-left: 0px;
}

h3 {
  font-size: 36px;
  color: #0d0e43;
  margin-bottom: 20px;
  font-weight: 100;
  margin-bottom: 5%;
}

.feature-list {
  list-style: none;
  padding: 0;
  margin: 0 0 20px 0;
}

.feature-list li {
  font-size: 17px;
  margin-bottom: 10px;
  color: #333;
}

.price-section {
  display: flex;
  align-items: center;
}

.add-to-cart {
  background-color: #fb2e86;
  color: #fff;
  border: none;
  padding: 12px 24px;
  cursor: pointer;
  font-size: 16px;
  margin-right: 20px;
  border-radius: 8px;
}

.price {
  font-size: 18px;
  font-weight: bold;
  color: #333;
}

body {
  font-family: Arial, sans-serif;
}

.trending-products {
  width: 80%;
  text-align: center;
  margin: 4% 10% 10% 10%;
  margin-bottom: 50px;
}

h2 {
  font-size: 32px;
  margin-bottom: 20px;
  color: #2d2e69;
}

.product-grid {
  display: flex;
  justify-content: space-around;
  margin-bottom: 40px;
}

.product-item {
  text-align: center;
  width: 100%;
}

.product-item:hover {
  background-color: #f0f0f0;
}

.product-item img {
  width: 100px;
  height: auto;
  margin-bottom: 10px;
}

.product-name {
  font-size: 18px;
  color: #333;
}

.product-price {
  font-size: 16px;
  color: #666;
}

.offers-section {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.offer-left,
.offer-right {
  width: 40%;
  padding: 20px;
  margin-bottom: 20px;
}

.offer-left:hover {
  background-color: #f0f0f0;
}

.offer-right:hover {
  background-color: #f0f0f0;
}

.offer-left p,
.offer-right p {
  margin-bottom: 5px;
}

.offer-left img,
.offer-right img {
  width: 100px;
  height: auto;
  margin-top: 20px;
}

.shop-now,
.view-collection {
  display: block;
  margin-top: 10px;
  color: red;
  text-decoration: none;
}

.side-list {
  width: 20%;
  background-color: #f9f9f9;
  padding: 20px;
  text-align: left;
}

.side-list p {
  margin-bottom: 10px;
  font-size: 16px;
  color: #333;
}

.side-list span {
  float: right;
  color: #333;
}

@media (max-width: 768px) {
  #page1 {
    height: 40vh;
    padding: 10px;
  }

  #page2 {
    height: 80vh;
  }

  .container {
    padding: 10px;
    left: 14%;
    top: 10%;
  }

  #head-discount {
    font-size: 18px;
  }

  #shop-btn {
    padding: 5px 10px;
    font-size: 8px;
  }

  #top-category {
    font-size: 22px;
  }

  .itel {
    width: 50px;
    margin-left: 70px;
  }

  .category {
    width: 120px;
    height: 120px;
  }

  .category img {
    width: 70px;
    height: 60px;
  }

  .offer-container {
    align-items: center;
  }

  .offer-item {
    width: 100%;
    height: auto;
    text-align: center;
  }

  .offer-item-1 {
    width: 100%;
    height: auto;
    text-align: center;
  }

  .product-image {
    max-width: 41%;
    margin: 0 auto;
    height: 226px;
    margin-top: 18%;
  }

  .product-details {
    margin-left: 0;
  }

  h3 {
    font-size: 28px;
  }

  .feature-list li {
    font-size: 12px;
  }

  .action-icons {
    left: 5px;
    bottom: 10px;
  }

  .icon {
    font-size: 0.7em;
  }

  .container,
  .top-categories,
  .latest-products,
  .product-container {
    padding: 10px;
  }

  .offer-item img {
    width: 65px;
  }

  .offer-item-1 img {
    width: 65px;
  }
}

.discount-section {
  padding: 40px;
  background-color: #fff;
  text-align: center;
}

.container-discount-item {
  max-width: 1200px;
  margin: 0 auto;
}

h2 {
  font-size: 2em;
  color: #333;
  margin-bottom: 20px;
}

.category_links {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 30px;
}

.tab {
  cursor: pointer;
  padding: 10px 20px;
  border-radius: 5px;
  color: #373737;
  font-size: 1em;
}

.tab1 {
  cursor: pointer;
  padding: 10px 20px;
  border-radius: 5px;
  color: #373737;
  font-size: 1em;
}

.tab1.active {
  background-color: #fb2e86;
  color: #fff;
}

.tab1:hover {
  background-color: #fb2e86;
  color: #fff;
}

.tab.active {
  background-color: #fb2e86;
  color: #fff;
}

.tab:hover {
  background-color: #fb2e86;
  color: #fff;
}

.discount-content {
  display: none;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  margin-top: 20px;
}

.discount-content.active {
  display: flex;
}

.text-content {
  max-width: 100%;
  text-align: left;
}

.text-content h3 {
  font-size: 1.8em;
  color: #333;
  margin-bottom: 10px;
}

.text-content h4 {
  font-size: 1.2em;
  color: #e60023;
  margin-bottom: 15px;
}

.text-content p {
  font-size: 1em;
  color: #666;
  margin-bottom: 20px;
}

.features-list {
  list-style-type: none;
  padding-left: 0;
}

.features-list li {
  font-size: 1em;
  color: #666;
  margin-bottom: 10px;
}

.shop-now-btn {
  display: inline-block;
  padding: 10px 20px;
  background-color: #e60023;
  color: #fff;
  text-decoration: none;
  font-size: 1em;
  border-radius: 5px;
  margin-top: 15px;
}

.shop-now-btn:hover {
  background-color: #cc001f;
}

.image-content img {
  max-width: 100%;
  width: 430px;
  border-radius: 10px;
  object-fit: cover;
}

@media (max-width: 768px) {
  .laptop-image {
    max-width: 80%;
    border-radius: 50%;
    height: auto;
  }

  .container span {
    display: block;
    font-size: 15px;
  }

  .tabs {
    font-size: 12px;
  }

  .tab1s {
    font-size: 12px;
  }

  .category-container {
    width: 100px;
  }

  .offer-item p {
    font-size: 9px;
    color: #6c757d;
  }

  .offer-item h3 {
    font-size: 11px;
    margin-bottom: 11px;
  }

  .offer-item-1 p {
    font-size: 9px;
    color: #6c757d;
  }

  .offer-item-1 h3 {
    font-size: 11px;
    margin-bottom: 11px;
  }

  .pre-btn {
    left: 0px;
    transform: rotate(180deg);
  }
}

.trending-products h2 {
  font-size: 1.5em;
}

.product-grid {
  grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
}

.product-item img {
  max-width: 90px;
}

p.product-name {
  font-size: 16px;
}

p.product-price {
  font-size: 16px;
}

.side-list {
  display: none;
}

.offer-left,
.offer-right {
  flex-wrap: wrap;
}

.side-list {
  font-size: 0.85em;
}

.offers-section img {
  width: 80%;
  max-width: 100px;
  height: auto;
  margin: 10px 0;
}

@media (max-width: 600px) and (min-width: 480px) {
  #head-1 {
    font-size: 1.2rem;
  }

  #head-discount {
    font-size: 1.1rem;
    line-height: 1.4;
  }

  #shop-btn {
    padding: 3px 12px;
    font-size: 8px;
  }

  .laptop-image-wrapper {
    margin: 10px 0;
  }

  .laptop-image {
    width: 80%;
    max-width: 250px;
  }

  .pre-btn {
    left: 0px;
    transform: rotate(180deg);
  }

  .nxt-btn {
    right: 0px;
  }

  .itel {
    display: none;
  }

  .container {
    padding: 10px;
    left: 14%;
    top: 0%;
  }

  #page1 .container span {
    font-size: 12px;
  }

  .offer-item p {
    font-size: 9px;
    color: #6c757d;
  }

  .offer-item img {
    width: 65px;
  }

  .offer-item h3 {
    font-size: 11px;
    margin-bottom: 11px;
  }

  .offer-item-1 p {
    font-size: 9px;
    color: #6c757d;
  }

  .offer-item-1 img {
    width: 65px;
  }

  .offer-item-1 h3 {
    font-size: 11px;
    margin-bottom: 11px;
  }

  #page2 {
    height: 80vh;
  }
  .product-image {
    max-width: 41%;
    margin: 0 auto;
    height: 226px;
    margin-top: 0%;
  }
  .trending-products {
    width: 80%;
    text-align: center;
    margin: 16% 10% 10% 10%;
    margin-bottom: 50px;
  }

  .product-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    justify-content: space-around;
    margin-bottom: 40px;
  }

  p.product-name {
    font-size: 12px;
    padding: 11px 14px 11px 14px;
  }

  .product-card {
    flex: 0 0 auto;
    width: 260px;
    height: 370px;
    margin-right: 40px;
    border-radius: 10px;
  }

  .product-card img {
    max-width: 90%;
    height: 224px;
    margin-bottom: 10px;
  }

  .product-card .product-name {
    font-size: 12px;
    margin-bottom: 10px;
    color: #333;
    font-weight: bold;
  }

  .product-card .product-price {
    font-size: 15px;
    color: #333;
    margin-top: 18px;
  }

  .action-icons {
    left: 20px;
    bottom: 19px;
  }
  #page1 {
    height: 35vh;
    padding: 1px;
  }
  .product-container {
    padding: 10px;
    flex-wrap: wrap;
  }
  .discount-content.active {
    display: flex;
    flex-wrap: wrap;
  }
}

@media (min-width: 300px) and (max-width: 480px) {
  .offer-container {
    display: flow;
    align-items: center;
  }

  .product-grid {
    display: grid;
    justify-content: space-around;
    margin-bottom: 40px;
    margin-left: 34px;
  }

  .pre-btn {
    left: 0px;
    transform: rotate(180deg);
  }

  .nxt-btn {
    right: 0px;
  }

  .image-content img {
    max-width: 100%;
    width: 430px;
    border-radius: 10px;
    object-fit: cover;
  }
  .product-image {
    max-width: 60%;
    margin: 0 auto;
    height: 226px;
    margin-top: 0%;
  }
  #page1 {
    height: 30vh;
  }

  .category {
    width: 78px;
    height: 80px;
  }
  .category-container {
    width: 97px;
  }
  .product-container {
    padding: 10px;
    flex-wrap: wrap;
  }
  .discount-content.active {
    display: flex;
    flex-wrap: wrap;
  }
}

#latest-products {
  padding: 10px;
  font-family: Arial, sans-serif;
}

.tabs {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

.tab1s {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

.tab {
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.tab1 {
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.products-container.active {
  display: flex;
  gap: 21px;
  overflow-x: auto;
  padding: 10px;
  margin: 0 auto;
  max-width: 100%;
  box-sizing: border-box;
  left: 26px;
}

.product-card img {
  max-width: 100%;
  height: 250px;
  margin-bottom: 10px;
}

.product-card:hover {
  transform: translateY(-5px);
}

.product-details {
  margin-bottom: 10px;
}

.action-icons .icon:hover {
  color: #007bff;
  cursor: pointer;
}

.pre-btn,
.nxt-btn {
  border: none;
  width: 5vw;
  height: 100%;
  position: absolute;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: transparent;
  cursor: pointer;
  z-index: 8;
}

.pre-btn {
  left: -20px;
  transform: rotate(180deg);
}

.nxt-btn {
  right: -20px;
}

.pre-btn img,
.nxt-btn img {
  opacity: 0.6;
}

.pre-btn:hover img,
.nxt-btn:hover img {
  opacity: 1;
}

.slider {
  display: flex;
  align-items: center;
  position: relative;
  overflow: hidden;
  margin-top: 20px;
}

.products-container::-webkit-scrollbar {
  display: none;
}

.products-container {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.image-container img {
  opacity: 0;
  transform: scale(0.8);
  animation: fadeZoomIn 1.5s ease-out forwards;
}

@keyframes fadeZoomIn {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

#head-discount {
  overflow: hidden;
  white-space: nowrap;
  display: inline-block;
  animation: slideIn 2s ease-out forwards;
}

@keyframes slideIn {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@media (min-width: 768px) and (max-width: 900px) {
  .container {
    padding: 20px 40px;
    border-radius: 10px;
    color: #333;
    position: relative;
    z-index: 2;
    max-width: 400px;
    left: 50px;
  }

  .image-container img {
    max-width: 500px;
    height: auto;
    left: 0px;
  }

  .product-card .product-name {
    font-size: 12px;
    margin-bottom: 10px;
    color: #333;
    font-weight: bold;
  }

  .pre-btn {
    left: 6px;
    transform: rotate(180deg);
  }

  .nxt-btn {
    right: 10px;
  }

  #page1 {
    height: 55vh;
    width: 100vw;
    background-color: #f2f0ff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
  }

  .cpu-image-slideshow {
    position: absolute;
    width: 330px;
    height: auto;
    right: 12%;
    top: 20%;
    z-index: 2;
    transform: translate(0, -10px);
    display: none;
    animation: fadeIn 0.5s ease-in-out;
  }

  #head-discount {
    font-size: 30px;
    margin-top: 10px;
    letter-spacing: 3px;
    line-height: 1.2;
  }

  .container span {
    display: block;
    font-size: 18px;
  }

  .product-card {
    flex: 0 0 auto;
    width: 260px;
    height: 370px;
    margin-right: 40px;
    border-radius: 10px;
  }

  .product-card .product-name {
    font-size: 12px;
    margin-bottom: 10px;
    color: #333;
    font-weight: bold;
  }

  .action-icons {
    position: absolute;
    left: 6px;
    bottom: 14px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
    width: 26px;
    height: 28px;
    cursor: pointer;
  }
}

@media (min-width: 900px) and (max-width: 1000px) {
  .container {
    padding: 20px 40px;
    border-radius: 10px;
    color: #333;
    position: relative;
    z-index: 2;
    max-width: 400px;
    left: 100px;
  }

  #page1 {
    height: 50vh;
    width: 100vw;
    background-color: #f2f0ff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
  }

  #head-discount {
    font-size: 35px;
    margin-top: 10px;
    letter-spacing: 3px;
    line-height: 1.2;
  }

  .container span {
    display: block;
    font-size: 18px;
  }

  .image-container img {
    max-width: 438px;
    height: auto;
    left: 105px;
  }

  .action-icons {
    position: absolute;
    left: 6px;
    bottom: 14px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
    width: 26px;
    height: 28px;
    cursor: pointer;
  }
}

@media (min-width: 900px) and (max-width: 1300px) {
  .nxt-btn {
    right: 20px;
  }
}

@media (max-width:885px) {
  #page1 {
    margin-top: 10px;
  }
}